Page MenuHomePhabricator

Outdated checkuser-toollinks (spam, pay services, ad domains)
Closed, ResolvedPublic

Description

As of REL1_19:

[RDNS · RBLs · Traceroute · Geolocate · Tor check · WHOIS]

  • Geolocate: http://www.ip2location.com/82.74.194.195 > Working. Info is good. But:
    • "Every guest can make maximum 20 queries per day."
    • "Your daily credit: 19/20."
    • "Sign up now".
    • "0 item selected; $0.00; View cart"

Version: REL1_19-branch
Severity: major

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:57 AM
bzimport set Reference to bz38195.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Jul 5 2012, 9:23 AM

Actually, that last one "WHOIS" isn't pointing to Toolserver (that was a local modification)..

The link to http://toolserver.org/~overlordq/scripts/checktor.fcgi is now broken as well (TS account expired). I don't know if a replacement on Labs exists.

This should be easy to fix IMHO, but I think CUs should discuss which links would like to replace the outdated ones and other improvements, such as new links. Perhaps somebody with access could raise this issue on the mailing list to get this rolling? Best regards.

This should be easy to fix IMHO, but I think CUs should discuss which links would like to replace the outdated ones and other improvements, such as new links. Perhaps somebody with access could raise this issue on the mailing list to get this rolling? Best regards.

Done - email send to checkuser-l.

hoo added a subscriber: hoo.Dec 19 2014, 6:43 PM

I think links to global contributions for the IP and global block would be very useful for stewards. The former would be good for anyone to check other abuses.

Teles added a subscriber: Teles.Dec 20 2014, 12:59 AM

What was the result of the discussion? Do we know which links to use?

I think links to global contributions for the IP and global block would be very useful for stewards. The former would be good for anyone to check other abuses.

We could use a Wikimedia override for this..

Barras added a subscriber: Barras.Jan 7 2015, 1:31 PM
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).

I don't have experience with some functions since they were already down when I became a CU, maybe others can tell whether they are useful. I know of other CUs who used the traceroute tools etc, but as I said, I can't tell anything about it. Anyhow:

[RDNS · RBLs · Traceroute · Geolocate · Tor check · WHOIS]

  • RDNS - no idea
  • RBLs - no idea
  • Traceroute - no idea
  • Geolocate - yes, would be useful - do we have a tool on toollabs maybe?
  • Tor check - yes, sounds useful - did someone move it to toollbas?
  • WHOIS - yes, would definitely be useful - I never understood why we don't have a tool on toollabs for WHOIS and geolocate

And I disagree with Ajraddatz; a link to the global contributions can be easily found and local CUs usually don't need it imo

I think that a link to CentralAuth for registered users would also be very useful for everybody, specially since all accounts are now global and SUL finalization is going to happen. I'm in favor of Ajraddatz proposal to a link to the global contributions as it is very useful, no matter how easy to find it is :-)

Krinkle removed a subscriber: Krinkle.Jan 30 2015, 11:12 PM
mxn added a subscriber: mxn.Apr 7 2015, 10:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2015, 10:09 AM

Change 236416 had a related patch set uploaded (by MarcoAurelio):
Update MediaWiki:Checkuser-toollinks

https://gerrit.wikimedia.org/r/236416

I've proposed some changes in the above patch based on those being used at enwiki. This is for the general CheckUser extension but as @Glaisher mentioned above, we may create a Wikimedia override for this message with more or less links, and different links if we want.

This comment was removed by MarcoAurelio.

Change 236416 merged by jenkins-bot:
Update MediaWiki:Checkuser-toollinks

https://gerrit.wikimedia.org/r/236416

MarcoAurelio closed this task as Resolved.Sep 10 2015, 10:36 PM
MarcoAurelio removed a project: Patch-For-Review.
Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:25 PM
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.May 9 2016, 8:57 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 9 2016, 8:57 AM